<div class="title-lucta">
    <h2>Gestión de Empleados</h2>
</div>

<div class="row" >
    <div class="col-md-12" style="border-width: medium;">
        <div class="filters">
            <div class="row form-group">
                <div class="col-md-1">
                    <span>Id</span>
                </div>
                <div class="col-md-1">
                    <div class="row-lucta">
                        <div class="form-group">
                            <div class="input-group">
                                <input ng-model="modelSearch.id" id="id" name="id" placeholder="" type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-1">
                    <span>Nombre</span>
                </div>
                <div class="col-md-2">
                    <div class="row-lucta">
                        <div class="form-group">
                            <div class="input-group">
                                <input ng-model="modelSearch.nombre" id="nombre" name="nombre" placeholder="" type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-1">
                    <span>Documento</span>
                </div>
                <div class="col-md-2">
                    <div class="row-lucta">
                        <div class="form-group">
                            <div class="input-group">
                                <input ng-model="modelSearch.documento" id="documento" name="documento" placeholder="" type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-1">
                    <span>Cargo</span>
                </div>
                <div class="col-md-2">
                    <div class="row-lucta">
                        <div class="form-group">
                            <div class="input-group">
                                <input ng-model="modelSearch.cargo" id="cargo" name="cargo" placeholder="" type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>        
                  
                <div class="col-md-1">
                    <input type="button" ng-click="buscarEmpleados();" style="width: 100%;" class="btn btn-outline-danger" value="Buscar" />
                </div>
            </div>
        </div>
    </div>
</div>
<br />

<div class="row" >
  <div class="col-md-12" style="border-width: medium;">
    <div class="table-responsive" style="overflow:auto" style="width: 100% !important;">
      <table class="table table-hover table-bordered table-striped" id="TablaEmpleados">
        <thead>
          <tr>
            <th scope="col">Tipo de Documento</th>
            <th scope="col">Documento</th>
            <th scope="col">Nombre Completo</th>
            <th scope="col">Cargo</th>
            <th scope="col">Ver Detalles</th>
          </tr>
        </thead>
        <tbody>
          <tr ng-repeat="empleado in coleccion">
            <td>{{empleado.tipo_de_documento}}</td>
            <td>{{empleado.documento}}</td>
            <td>{{empleado.nombre}}</td>
            <td>{{empleado.cargo}}</td>
            <td align="center" style="width: 5%;">
              <a ng-click="verEmpleado(empleado)">
                  <i class="fa fa-edit" style="font-size: 1.73em;color:#007bff;"></i>
              </a>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>